Support
Support tickets and their messages.
- GET
/ticketsList tickets - POST
/ticketsOpen a ticket - GET
/tickets/{ticket_id}A ticket - GET
/tickets/{ticket_id}/messagesTicket messages - POST
/tickets/{ticket_id}/messagesReply to a ticket
List tickets
GET/tickets
Needs the permission ticket:read
Response 200
idrequired | string | |
numberrequired | string | |
subjectrequired | string | |
statusrequired | string | |
created_atrequired | string | |
updated_atrequired | string |
curl "https://portal.nimag.net/api/v1/tickets" \ -H "Authorization: Bearer nck_…"
[
{
"id": "string",
"number": "string",
"subject": "string",
"status": "string",
"created_at": "string",
"updated_at": "string"
}
]Open a ticket
POST/tickets
Needs the permission ticket:manage
Body (JSON)
subjectrequired | string | up to 200 characters |
bodyrequired | string | up to 20000 characters |
Response 201
idrequired | string | |
numberrequired | string | |
subjectrequired | string | |
statusrequired | string | |
created_atrequired | string | |
updated_atrequired | string |
curl -X POST "https://portal.nimag.net/api/v1/tickets" \
-H "Authorization: Bearer nck_…" \
-H "Content-Type: application/json" \
-d '{
"subject": "string",
"body": "string"
}'{
"id": "string",
"number": "string",
"subject": "string",
"status": "string",
"created_at": "string",
"updated_at": "string"
}A ticket
GET/tickets/{ticket_id}
Needs the permission ticket:read
Path
ticket_idrequired | string |
Response 200
idrequired | string | |
numberrequired | string | |
subjectrequired | string | |
statusrequired | string | |
created_atrequired | string | |
updated_atrequired | string |
curl "https://portal.nimag.net/api/v1/tickets/{ticket_id}" \
-H "Authorization: Bearer nck_…"{
"id": "string",
"number": "string",
"subject": "string",
"status": "string",
"created_at": "string",
"updated_at": "string"
}Ticket messages
GET/tickets/{ticket_id}/messages
Needs the permission ticket:read
Path
ticket_idrequired | string |
Response 200
authorrequired | string | |
bodyrequired | string | |
created_atrequired | string |
curl "https://portal.nimag.net/api/v1/tickets/{ticket_id}/messages" \
-H "Authorization: Bearer nck_…"[
{
"author": "string",
"body": "string",
"created_at": "string"
}
]Reply to a ticket
POST/tickets/{ticket_id}/messages
Needs the permission ticket:manage
Path
ticket_idrequired | string |
Body (JSON)
bodyrequired | string | up to 20000 characters |
Response 201
authorrequired | string | |
bodyrequired | string | |
created_atrequired | string |
curl -X POST "https://portal.nimag.net/api/v1/tickets/{ticket_id}/messages" \
-H "Authorization: Bearer nck_…" \
-H "Content-Type: application/json" \
-d '{
"body": "string"
}'{
"author": "string",
"body": "string",
"created_at": "string"
}